#include <stdio.h>
#include <stdlib.h>

int main()
{
    int n,m,i,j=0,br=0,z;
    scanf("%d",&n);
    scanf("%d",&m);
    typedef struct{
        int d;
        int u;
    }granice;
    typedef struct{
        int l;
        int r;
        int x;
    }tezina;
    granice a[100];
    tezina b[100];
    for(i=0;i<n;i++){
        scanf("%d",&a[i].d);
        scanf("%d",&a[i].u);
    }
    for(i=0;i<m;i++){
        scanf("%d",&b[i].l);
        scanf("%d",&b[i].r);
        scanf("%d",&b[i].x);
    }
    for(z=0;z<m;z++){
        for(i=0;i<n;i++){
            if(i+1>=b[z].l && i+1<=b[z].r){
                if(a[i].d<=b[z].x && b[z].x<=a[i].u){
                    br++;
                }
            }
        }
        printf("%d\n",br);
        br=0;
    }
    return 0;
}